<ng-template [ngIf]="embargoAccessLevel | isNotNullNorUndefinedNorWhiteString">
  <dlcm-shared-access-level [accessLevel]="embargoAccessLevel"
                            [withTooltip]="withTooltip"
                            [size]="size"
  ></dlcm-shared-access-level>
  <solidify-icon [iconName]="iconNameEnum.next"
                 class="size-12"
  ></solidify-icon>
</ng-template>

<dlcm-shared-access-level [accessLevel]="accessLevel"
                          [withTooltip]="withTooltip"
                          [size]="size"
></dlcm-shared-access-level>

<span *ngIf="(embargoAccessLevel | isNotNullNorUndefinedNorWhiteString) && (embargoEndDate | isNotNullNorUndefined)"
      class="date"
>
  {{dateUtil.convertDateToDateString(embargoEndDate)}}
</span>
